# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import GLLMmodel_pb2 as GLLMmodel__pb2


class GroundingStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.get_keys_data = channel.unary_unary(
                '/Grounding/get_keys_data',
                request_serializer=GLLMmodel__pb2.UserInputs.SerializeToString,
                response_deserializer=GLLMmodel__pb2.keysOutput.FromString,
                )
        self.get_grounding_model = channel.unary_unary(
                '/Grounding/get_grounding_model',
                request_serializer=GLLMmodel__pb2.ResultText.SerializeToString,
                response_deserializer=GLLMmodel__pb2.GroundedOutput.FromString,
                )


class GroundingServicer(object):
    """Missing associated documentation comment in .proto file."""

    def get_keys_data(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def get_grounding_model(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_GroundingServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'get_keys_data': grpc.unary_unary_rpc_method_handler(
                    servicer.get_keys_data,
                    request_deserializer=GLLMmodel__pb2.UserInputs.FromString,
                    response_serializer=GLLMmodel__pb2.keysOutput.SerializeToString,
            ),
            'get_grounding_model': grpc.unary_unary_rpc_method_handler(
                    servicer.get_grounding_model,
                    request_deserializer=GLLMmodel__pb2.ResultText.FromString,
                    response_serializer=GLLMmodel__pb2.GroundedOutput.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'Grounding', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Grounding(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def get_keys_data(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Grounding/get_keys_data',
            GLLMmodel__pb2.UserInputs.SerializeToString,
            GLLMmodel__pb2.keysOutput.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def get_grounding_model(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Grounding/get_grounding_model',
            GLLMmodel__pb2.ResultText.SerializeToString,
            GLLMmodel__pb2.GroundedOutput.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
